if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libcinnamon-control-center.so )
( cd usr/lib64 ; ln -sf libcinnamon-control-center.so.1 libcinnamon-control-center.so )
( cd usr/lib64 ; rm -rf libcinnamon-control-center.so.1 )
( cd usr/lib64 ; ln -sf libcinnamon-control-center.so.1.0.0 libcinnamon-control-center.so.1 )
( cd usr/share/cinnamon-control-center/panels ; rm -rf cinnamon-color-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; ln -sf ../../applications/cinnamon-color-panel.desktop cinnamon-color-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; rm -rf cinnamon-display-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; ln -sf ../../applications/cinnamon-display-panel.desktop cinnamon-display-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; rm -rf cinnamon-network-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; ln -sf ../../applications/cinnamon-network-panel.desktop cinnamon-network-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; rm -rf cinnamon-wacom-panel.desktop )
( cd usr/share/cinnamon-control-center/panels ; ln -sf ../../applications/cinnamon-wacom-panel.desktop cinnamon-wacom-panel.desktop )
